/* ================= BODY ================= */
body {
    height: 100%;
    overflow-x: hidden;
    /* background-color: rgba(116, 159, 185, 0.443); */
    background-image: url("https://images.unsplash.com/photo-1641229951303-42fab1503c33?w=600&auto=format&fit=crop&q=60&ixlib=rb-4.1.0&ixid=M3wxMjA3fDB8MHxwaG90by1yZWxhdGVkfDY2fHx8ZW58MHx8fHx8");
    background-size: cover;
}


/* ================= BACKGROUND VIDEO ================= */
#bgVideo {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    z-index: -10;
}


/* ================= HEADINGS ================= */
h2 {
    font-size: 30px;
    color: rgb(255, 255, 255);

}

h3 {
    color: #010000;
    font-size: 40px;
}

span {
    color: rgb(255, 209, 92);
}


/* ================= HEADER ================= */
header {
    /* background-color: rgb(89, 100, 211); */
    background-image: url("https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQ5ivMAKO-Rwm1VZat0eKa5k5zuHpl6i730HQ&s");
    border: none;
    color: aliceblue;
    /* border: 2px solid black; */
    background: cover;
    background-size: cover;
    text-align: center;
    padding: 5px;

    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.3),
        0 4px 10px rgba(0, 0, 0, 0.2);

    /* Optional for smooth edges */
    border-radius: 12px;
}


/* ================= HEADER ANIMATIONS ================= */
.left {
    display: inline-block;
    animation: slideLeft 3s forwards 1;
}

.right {
    display: inline-block;
    animation: sideright 3s forwards 1;
}

/* Left animation */
@keyframes slideLeft {
    0% {
        opacity: 0;
        transform: translatey(-800px);
        color: rgb(233, 200, 122);
    }

    50% {
        color: rgb(233, 200, 122);
    }

    100% {
        opacity: 1;
        transform: translatey(0);
        color: aliceblue;
    }
}

/* Right animation */
@keyframes sideright {
    0% {
        transform: translatey(40px);
        opacity: 0px;
        color: rgb(233, 200, 122);
    }

    50% {
        color: rgb(233, 200, 122);
    }

    100% {
        transform: translatey(0px);
        opacity: 1px;
        color: aliceblue;
    }
}


/* ================= INPUT ================= */
input {
    width: 250px;
    height: 35px;
    background-color: rgba(79, 113, 113, 0.831);
    color: rgb(255, 255, 255);
    font-size: 20px;
}

/* placeholder */
::placeholder {
    color: rgb(255, 255, 255);
}


/* ================= LEFT SIDEBAR ================= */
.sidebar-left {
    display: flex;
    flex-direction: column;
    gap: 8px;

    background-image: url("img2.avif");
    box-shadow: 0px 0px 50px 10px rgb(0, 0, 0);

    width: 300px;
    height: 300px;

    align-items: center;
    justify-content: center;
}


/* ================= BUTTONS ================= */
#locationBtn {
    width: 200px;
    height: 35px;
    border-radius: 30px;
    background-color: rgba(98, 98, 98, 0.767);
    color: aliceblue;
}

#toggleTemp {
    background-color: rgb(210, 105, 30);
    position: absolute;
    right: 80px;
    margin: 5px;
    color: aliceblue;
    padding: 10px 15px;
    font-size: 16px;
    border-radius: 8px;
    cursor: pointer;
    filter: drop-shadow(0 8px 12px rgba(0, 0, 0, 0.3));
}

#toggleTemp:hover {
    background-color: rgb(75, 33, 3);
}

#searchBtn {
    width: 200px;
    height: 35px;
    border-radius: 30px;
    margin-top: 10px;
    background-color: rgba(231, 173, 106, 0.669);
}

#searchBtn:hover {
    background-color: rgb(57, 47, 70);
    color: rgb(255, 255, 255);
}


/* ================= DIVIDER ================= */
.divider {
    display: flex;
    width: 210px;
    align-items: center;
    text-align: center;
    margin: 3px 0;
}

/* line before/after */
.divider::before,
.divider::after {
    content: "";
    flex: 1;
    border-bottom: 2px solid #010000;
}

.divider::before {
    margin-right: 10px;
}

.divider::after {
    margin-left: 10px;
}


/* ================= MAIN LAYOUT ================= */
.main-container {
    display: flex;
    padding: 20px;
    gap: 60px;
}


/* ================= RIGHT SIDEBAR ================= */
.sidebar-right {
    width: 70%;
    display: flex;
    flex-direction: column;
}


/* ================= CURRENT WEATHER CARD ================= */
.card {
    background-image: url("img4.avif");
    border-radius: 50px;
    border: 5px solid rgba(33, 19, 54, 0.893);
    background-size: cover;
    color: white;
    padding: 20px;
    text-align: left;
}


/* ================= FORECAST ================= */
.forecaste {
    display: flex;
    gap: 10px;
    margin-top: 10px;
    flex-wrap: wrap;
}

.forecaste img {
    width: 50px;
    height: 50px;
}

/* forecast box */
.forecaste div {
    /* background: #7d6187; */
    background-image: url("https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTQoc51R_iCXqLXK74xE62C_SsBHutPO-6tlg&s");
    color: rgb(255, 255, 255);
    padding: 8px;
    width: 120px;
    overflow: hidden;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
     transition: transform 0.4s ease;
}

/* hover */
.forecaste div:hover {
    transform: perspective(800px) TRANSLATEz(200px);
}


/* forecast text */
.forecaste div p {
    margin: 2px 0;
    font-size: 14px;
    word-wrap: break-word;
    overflow-wrap: break-word;
    color: aliceblue;
}

.fab {
    width: 300px;
    height: 50px;
    font-size: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url("https://images.unsplash.com/photo-1641229951303-42fab1503c33?w=600&auto=format&fit=crop&q=60&ixlib=rb-4.1.0&ixid=M3wxMjA3fDB8MHxwaG90by1yZWxhdGVkfDY2fHx8ZW58MHx8fHx8");
    color: aliceblue;
}

/* ================= CURRENT WEATHER TEXT ================= */
#currentWeather,
h4 {
    color: #010000;
    font-size: 40px;
    margin: 0px;
}

#currentWeather,
p {
    color: #010000;
    font-size: 23px;
}

.card,
p.s,
.ss,
.sss {
    font-size: 22px;
}

/* ================= ANIMATIONS ================= */
.s,
.ss,
.sss {
    font-weight: 300;

    animation: jay 3s linear;
}


/* slide animation */
.ss {
    animation: jay 2s ease-in-out 1;
}

@keyframes jay {
    0% {
        transform: translateX(900px);
    }

    100% {
        transform: translateX(0px);
    }
}

.s {
    animation: jay 1s ease-in-out 1;
}

@keyframes jay {
    0% {
        transform: translateX(900px);
    }

    100% {
        transform: translateX(0px);
    }
}

.sss {
    animation: jay 3s ease-in-out 1;
}

@keyframes jay {
    0% {
        transform: translateX(900px);
    }

    100% {
        transform: translateX(0px);
    }
}

/* ================= FIRST LETTER ================= */
.first-letter {
    color: rgb(180, 3, 3);
    font-size: 45px;
    font-weight: bold;
}


/* ================= ICON ================= */
.big-icon {
    width: 110px;
    height: 110px;
    position: absolute;
    right: 80px;
    margin-bottom: 10px;
}


/* ================= RESPONSIVE ================= */
@media (max-width: 600px) {

    .main-container {
        flex-direction: column;
        gap: 20px;
        padding: 10px;
    }

    .sidebar-left,
    .sidebar-right {
        width: 100%;
    }

    input {
        width: 90%;
        font-size: 16px;
    }

    #searchBtn,
    #locationBtn {
        width: 90%;
    }

    h2,
    h3 {
        font-size: 22px;
    }

    .big-icon {
        position: static;
        display: block;
        margin: 10px auto;
    }

    .forecaste {
        justify-content: center;
    }

    .forecaste div {
        width: 100px;
        height: 120px;
    }
}

#recentCities {
    width: 100px;
    height: 30px;
    background-color: rgb(154, 88, 88);
    color: rgb(255, 255, 255);
    margin-top: 5px;
    border-radius: 5px;
    cursor: pointer;
    filter: drop-shadow(0 8px 12px rgba(0, 0, 0, 0.3));
}

footer{
    justify-content: baseline;
    align-items: baseline;
    text-align: center;
    margin-top: 90px;
    background-image: url("https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQ5ivMAKO-Rwm1VZat0eKa5k5zuHpl6i730HQ&s");
    background-size: cover;
    /* height: 50px; */
    
}
footer,.foo{
    color: aliceblue;
    padding: 2px;
    font-size: 30px;

}
